Skip to main content
POST
/
v1
/
secure
/
file
Store secure encrypted files
curl --request POST \
  --url https://service.uat-keys.coincover.com/v1/secure/file \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'public_key=<string>' \
  --form file='@example-file' \
  --form 'metadata={
  "description": "<string>",
  "content_type": "<string>",
  "original_filename": "<string>"
}'
{
  "backup_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "backup_type": "file",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Can be either a JWT token or API key.

Headers

Authorization
string
required

Bearer token for authentication. Can be either a JWT token or API key.

Body

multipart/form-data

Secure file and metadata

public_key
string
required

Public key in hex format used to encrypt the file

Required string length: 32 - 4096
Pattern: ^[0-9a-fA-F]+$
file
file
required

Encrypted file to upload (e.g. a ZIP archive)

metadata
object

Optional metadata about the file

Response

Secure file successfully stored

backup_id
string<uuid>

Unique identifier for the stored file

backup_type
enum<string>

Type of backup (always 'file' for secure-file endpoint)

Available options:
file
metadata
object

Combined metadata including original metadata